Forge Home

update_crypto_policies

Manages crypto policy.

1,897 downloads

1,862 latest version

5.0 quality score

Version information

  • 1.0.1 (latest)
  • 1.0.0
released Jun 25th 2020
This version is compatible with:
  • Puppet Enterprise 2021.6.x, 2021.5.x, 2021.4.x, 2021.3.x, 2021.2.x, 2021.1.x, 2021.0.x, 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x, 2019.0.x, 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 3.0.0
  • ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'badgerstorj-update_crypto_policies', '1.0.1'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add badgerstorj-update_crypto_policies
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install badgerstorj-update_crypto_policies --version 1.0.1

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

badgerstorj/update_crypto_policies — version 1.0.1 Jun 25th 2020

update_crypto_policies is a simple puppet module to run update-crypto-policies --set policy

update_crypto_policies::policy: LEGACY DEFAULT FUTURE

The command was introduced in CentOS 8